module Guard
  class Unity
    class Notifier

      require 'guard/unity/notifier/alert'
      require 'guard/unity/notifier/cli'

      TITLE = 'Unity Tests Results'

      attr_accessor :alert, :cli

      def initialize(options={})
        @alert  = options[:alert] || Guard::Unity::Notifier::Alert.new
        @cli    = options[:cli]   || Guard::Unity::Notifier::CLI.new
      end

      def notify(results)
        alert.notify(results, TITLE)
        cli.notify(results)
      end

    end
  end
end