module Guard
  class Unity
    class Notifier
      class Alert

        def notify(results, title)
          image     = _image(results)
          message   = _message(results)
          ::Guard::Notifier::notify(message, {title: title, image: image})
        end

        private

        def _image(results)
          return :failed if results[:failures] > 0
          return :failed if results[:errors] > 0
          :success
        end

        def _message(results)
          message = "#{results[:tests]} tests\n"
          message << "#{results[:failures]} failures\n" if results[:failures]
          message << "#{results[:errors]} errors\n" if results[:errors]
          message << "#{results[:ignored]} ignored\n" if results[:ignored]
          message << "#{results[:skipped]} skipped\n" if results[:skipped]
          message << "#{results[:inconclusive]} inconclusive\n" if results[:inconclusive]
          message << "#{results[:invalid]} invalid\n" if results[:invalid]
          message << "#{results[:not_run]} not run\n" if results[:not_run]
          message
        end

      end
    end
  end
end