module Guard
  class Unity
    module Options

      DEFAULTS = {
          test_on_start:  true,
          project_path:   Dir.pwd,
          unity:          '/Applications/Unity/Unity.app/Contents/MacOS/Unity',
          results_path:   Dir.pwd + '/UnitTestResults.xml'
      }

      class << self
        def with_defaults(options={})
          opts = DEFAULTS.merge(options)
          opts[:project_path] = clean_directory(opts[:project_path]) # needs to be formatted for cli
          opts
        end

        def clean_directory(dir)
          dir.gsub(' ', '\ ')
        end
      end

    end
  end
end